<?
#Старт сессии
session_start();

#Подключаем базу
include '../engine/config.php';
include '../engine/classes/bbcode.class.php';
  
#Проверяем способ вызова файла
if ( !defined( 'MISOFT_ADMIN_DIRR' ) ) exit();

if ( !isset( $_SESSION['iduser'] ) or $config_user['account'] != 5 ) {
    echo '<div class="stabilisacion-engine"><div class="alert alert-danger" role="alert">
	  <strong>Внимание!</strong> Нарушен механизм безопасности! В силу безопасности и целостности сайта, выполнение скриптов остановлено. Ошибка №A1
	</div></div>';
	exit();
} else {
  
  #Запрос подсчета количества страниц (являеться аналогом центрального циклового запроса, за исключением параметров сортировки)
  $payments_page = mysql_fetch_array( mysql_query( "SELECT COUNT(id) as count FROM pay_history ORDER BY date DESC" ) );
  $payments = mysql_query( "SELECT * FROM pay_history ORDER BY date DESC" );
  
  $kolvo = 15;
  $all = $payments_page['count'];
  $allpage = ceil( $all / $kolvo );
  $this_page = ( isset( $_GET['p'] ) ) ? intval( $_GET['p'] ) : 1 ;
  if ( $this_page < 1 ) $this_page = 1;
  if ( $this_page > $allpage ) $this_page = $allpage;
  $start = $this_page * $kolvo - $kolvo;
  if ( $start == -$kolvo ) { $start = 1; }
  
  ?>
    <div class="content-wrapper">
	  <div class="container-fluid">
		<div class="row">
		  <div class="col-md-12">
		    <h2 class="page-title">Выплаты</h2>

			<div class="row">
			  <div class="col-md-12">
				<div class="panel panel-default">
				  <div class="panel-heading">Список выплат</div>
				  <div class="panel-body">
					<table class="display table table-striped table-bordered table-hover" >
					<?
					  while ( $payments_row = mysql_fetch_array( $payments ) ) {
						if ( $payments_row['type'] == 1 ) {
							$pay_wmid = $payments_row['purse'];
							$pay_metod = '<span style="color:#0084d1">webmoney<span>';
						} else 
						if ( $payments_row['type'] == 2 ) {
							$pay_wmid = $payments_row['purse'];
							$pay_metod = '<span style="color:#545454">Pay</span><span style="color:#0099de">eer</span>';
						} 
						if ( $payments_row['type'] == 3 ) {
							$pay_wmid = $payments_row['purse'];
							$pay_metod = '<span style="color:#0EAC78">advcash<span>';
						}
						
						#формируем дату выплат
						$month = array( 'янв', 'фев', 'мар', 'апр', 'май', 'июн', 'июл', 'авг', 'сен', 'окт', 'ноя', 'дек' );
						
						#Достаем информацию о пользователе
						$user_payments = mysql_fetch_array( mysql_query( "SELECT id, username, avatar FROM user WHERE id = '" . $payments_row['iduser'] . "' LIMIT 1" ) );
						
						if ( date( 'd.m.Y', $payments_row['date'] ) == date( 'd.m.Y', time() ) ) {
							$pay_time = 'сегодня в ' . date( 'H:i', $payments_row['date'] );
						} else
						if ( date( 'd.m.Y', $payments_row['date'] ) == date( 'd.m.Y', time() - 86400 ) ) {
							$pay_time = 'вчера в ' . date( 'H:i', $payments_row['date'] );
						} else {
							$pay_time = ( int ) date( 'd', $payments_row['date'] ) . ' ' . $month[( int ) date( 'm', $payments_row['date'] ) - 1] . ' ' . date( 'Y', $payments_row['date'] )  . ' в ' . date( 'H:i', $payments_row['date'] );
						}
						?>
						<tr>
							<td style="text-align: center;  width: 150px;"><?=$pay_wmid?></td>
							<td>
							  <a target="_blank" title="Открыть стенку пользователя в новой вкладке?" href="/id<?=$user_payments['id']?>">
								<img src="/temp/avatar/<?=$user_payments['avatar']?>" class="img-circle " width="20" height="20" align="left" />
							  </a>&nbsp;&nbsp;&nbsp;<?=$user_payments['username']?> [id:<?=$user_payments['id']?>]
							</td>
							<td style="text-align: center;"><?=$pay_time?></td>
							<td style="text-align: center; width: 250px;"><?=$payments_row['money']?> <?=$config['valutaname']?></td>
							<td style="text-align: center; width: 150px;"><?=$pay_metod?></td>
						</tr>
						<?
					  }
					

					?>
					</table>
					<div class="div_centralizator"><? echo navigation( 15, ( int ) $_GET['p'], $payments_page['count'], '?page=payments&p=' ); ?></div>
				    <br/>
				  </div>
				</div>
			  </div>
			  
			  
			</div>
		  </div>
		</div>
	  </div>
	</div>
  <?
} 
?>